libwpg: libwpg::WPGColor Class Reference documentation

# libwpg::WPGColor Class Reference

`#include <WPGColor.h>`

List of all members.

## Public Member Functions
| WPGColor ()
| WPGColor (int r, int g, int b)
| WPGColor (int r, int g, int b, int a)
| WPGColor (const WPGColor &color)
WPGColor & | operator= (const WPGColor &color)
## Public Attributes
int | red
int | green
int | blue
int | alpha

## Constructor & Destructor Documentation

libwpg::WPGColor::WPGColor | ( |  | ) |

libwpg::WPGColor::WPGColor | ( | int | r,
|  | int | g,
|  | int | b |
| ) |  |  |

libwpg::WPGColor::WPGColor | ( | int | r,
|  | int | g,
|  | int | b,
|  | int | a |
| ) |  |  |

libwpg::WPGColor::WPGColor | ( | const WPGColor & | color | ) |

## Member Function Documentation

libwpg::WPGColor & libwpg::WPGColor::operator= | ( | const WPGColor & | color | ) |

## Member Data Documentation

int libwpg::WPGColor::red

Referenced by WPG1Parser::fillPixels(), libwpg::WPGBitmap::generateBase64DIB(), WPG2Parser::handleBitmapData(), WPG1Parser::handleColormap(), WPG2Parser::handleColorPalette(), WPG2Parser::handleDPColorPalette(), operator=(), WPG2Parser::resetPalette(), WPG1Parser::resetPalette(), libwpg::WPGSVGGenerator::setBrush(), and libwpg::WPGSVGGenerator::writeStyle().

int libwpg::WPGColor::green

Referenced by WPG1Parser::fillPixels(), libwpg::WPGBitmap::generateBase64DIB(), WPG2Parser::handleBitmapData(), WPG1Parser::handleColormap(), WPG2Parser::handleColorPalette(), WPG2Parser::handleDPColorPalette(), operator=(), WPG2Parser::resetPalette(), WPG1Parser::resetPalette(), libwpg::WPGSVGGenerator::setBrush(), and libwpg::WPGSVGGenerator::writeStyle().

int libwpg::WPGColor::blue

Referenced by WPG1Parser::fillPixels(), libwpg::WPGBitmap::generateBase64DIB(), WPG2Parser::handleBitmapData(), WPG1Parser::handleColormap(), WPG2Parser::handleColorPalette(), WPG2Parser::handleDPColorPalette(), operator=(), WPG2Parser::resetPalette(), WPG1Parser::resetPalette(), libwpg::WPGSVGGenerator::setBrush(), and libwpg::WPGSVGGenerator::writeStyle().

int libwpg::WPGColor::alpha

Referenced by libwpg::WPGBitmap::generateBase64DIB(), WPG2Parser::handleColorPalette(), WPG2Parser::handleDPColorPalette(), operator=(), and libwpg::WPGSVGGenerator::writeStyle().

The documentation for this class was generated from the following files:

- WPGColor.h
- WPGColor.cpp